/* UtilsView.c generated by valac 0.56.14, the Vala compiler
 * generated from UtilsView.vala, do not modify */

/*
 * Copyright 2018 elementary, Inc. (https://elementary.io)
 * SPDX-License-Identifier: LGPL-3.0-or-later
 */
#if !defined VALA_STRICT_C && defined __GNUC__ && __GNUC__ >= 14
#pragma GCC diagnostic warning "-Wimplicit-function-declaration"
#pragma GCC diagnostic warning "-Wincompatible-pointer-types"
#pragma GCC diagnostic warning "-Wint-conversion"
#pragma GCC diagnostic warning "-Wreturn-mismatch"
#endif

#include <gtk/gtk.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <glib.h>
#include <gdk/gdk.h>
#include "granite-7.h"

#define UTILS_VIEW_CSS "\n" \
"        .contrast-demo {\n" \
"            background: %s;\n" \
"            color: %s;\n" \
"            text-shadow: none;\n" \
"        }\n" \
"    "
#define UTILS_VIEW_DARK_BG "#273445"
#if !defined(VALA_EXTERN)
#if defined(_MSC_VER)
#define VALA_EXTERN __declspec(dllexport) extern
#elif __GNUC__ >= 4
#define VALA_EXTERN __attribute__((visibility("default"))) extern
#else
#define VALA_EXTERN extern
#endif
#endif

#define TYPE_UTILS_VIEW (utils_view_get_type ())
#define UTILS_VIEW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_UTILS_VIEW, UtilsView))
#define UTILS_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_UTILS_VIEW, UtilsViewClass))
#define IS_UTILS_VIEW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_UTILS_VIEW))
#define IS_UTILS_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_UTILS_VIEW))
#define UTILS_VIEW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_UTILS_VIEW, UtilsViewClass))

typedef struct _UtilsView UtilsView;
typedef struct _UtilsViewClass UtilsViewClass;
typedef struct _UtilsViewPrivate UtilsViewPrivate;
enum  {
	UTILS_VIEW_0_PROPERTY,
	UTILS_VIEW_NUM_PROPERTIES
};
static GParamSpec* utils_view_properties[UTILS_VIEW_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
typedef struct _Block10Data Block10Data;
typedef struct _Block11Data Block11Data;

struct _UtilsView {
	GtkGrid parent_instance;
	UtilsViewPrivate * priv;
};

struct _UtilsViewClass {
	GtkGridClass parent_class;
};

struct _UtilsViewPrivate {
	GtkStyleContext* demo_label_style_context;
};

struct _Block10Data {
	int _ref_count_;
	UtilsView* self;
	GdkRGBA gdk_demo_bg;
};

struct _Block11Data {
	int _ref_count_;
	Block10Data * _data10_;
	GtkColorChooserDialog* dialog;
};

static gint UtilsView_private_offset;
static gpointer utils_view_parent_class = NULL;

VALA_EXTERN GType utils_view_get_type (void) G_GNUC_CONST ;
G_DEFINE_AUTOPTR_CLEANUP_FUNC (UtilsView, g_object_unref)
static void utils_view_style_contrast_demo (UtilsView* self,
                                     GdkRGBA* bg_color);
VALA_EXTERN UtilsView* utils_view_new (void);
VALA_EXTERN UtilsView* utils_view_construct (GType object_type);
static GObject * utils_view_constructor (GType type,
                                  guint n_construct_properties,
                                  GObjectConstructParam * construct_properties);
static Block10Data* block10_data_ref (Block10Data* _data10_);
static void block10_data_unref (void * _userdata_);
static void _utils_view___lambda14_ (Block10Data* _data10_);
static Block11Data* block11_data_ref (Block11Data* _data11_);
static void block11_data_unref (void * _userdata_);
static void __lambda15_ (Block11Data* _data11_);
static void ___lambda15__gtk_dialog_response (GtkDialog* _sender,
                                       gint response_id,
                                       gpointer self);
static void __utils_view___lambda14__gtk_button_clicked (GtkButton* _sender,
                                                  gpointer self);
static void utils_view_finalize (GObject * obj);
static GType utils_view_get_type_once (void);
static void _vala_array_destroy (gpointer array,
                          gssize array_length,
                          GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array,
                       gssize array_length,
                       GDestroyNotify destroy_func);

static inline gpointer
utils_view_get_instance_private (UtilsView* self)
{
	return G_STRUCT_MEMBER_P (self, UtilsView_private_offset);
}

static void
utils_view_style_contrast_demo (UtilsView* self,
                                GdkRGBA* bg_color)
{
	GtkCssProvider* provider = NULL;
	GtkCssProvider* _tmp0_;
	gchar* css = NULL;
	gchar* _tmp1_;
	gchar* _tmp2_;
	GdkRGBA _tmp3_;
	GdkRGBA _tmp4_ = {0};
	gchar* _tmp5_;
	gchar* _tmp6_;
	gchar* _tmp7_;
	gchar* _tmp8_;
	GtkStyleContext* _tmp9_;
#line 69 "../demo/Views/UtilsView.vala"
	g_return_if_fail (self != NULL);
#line 69 "../demo/Views/UtilsView.vala"
	g_return_if_fail (bg_color != NULL);
#line 70 "../demo/Views/UtilsView.vala"
	_tmp0_ = gtk_css_provider_new ();
#line 70 "../demo/Views/UtilsView.vala"
	provider = _tmp0_;
#line 71 "../demo/Views/UtilsView.vala"
	_tmp1_ = gdk_rgba_to_string (bg_color);
#line 71 "../demo/Views/UtilsView.vala"
	_tmp2_ = _tmp1_;
#line 71 "../demo/Views/UtilsView.vala"
	_tmp3_ = *bg_color;
#line 71 "../demo/Views/UtilsView.vala"
	granite_contrasting_foreground_color (&_tmp3_, &_tmp4_);
#line 71 "../demo/Views/UtilsView.vala"
	_tmp5_ = gdk_rgba_to_string (&_tmp4_);
#line 71 "../demo/Views/UtilsView.vala"
	_tmp6_ = _tmp5_;
#line 71 "../demo/Views/UtilsView.vala"
	_tmp7_ = g_strdup_printf (UTILS_VIEW_CSS, _tmp2_, _tmp6_);
#line 71 "../demo/Views/UtilsView.vala"
	_tmp8_ = _tmp7_;
#line 71 "../demo/Views/UtilsView.vala"
	_g_free0 (_tmp6_);
#line 71 "../demo/Views/UtilsView.vala"
	_g_free0 (_tmp2_);
#line 71 "../demo/Views/UtilsView.vala"
	css = _tmp8_;
#line 76 "../demo/Views/UtilsView.vala"
	gtk_css_provider_load_from_data (provider, (const char*) ((guint8*) css), (gssize) -1);
#line 77 "../demo/Views/UtilsView.vala"
	_tmp9_ = self->priv->demo_label_style_context;
#line 77 "../demo/Views/UtilsView.vala"
	gtk_style_context_add_provider (_tmp9_, (GtkStyleProvider*) provider, (guint) GTK_STYLE_PROVIDER_PRIORITY_APPLICATION);
#line 69 "../demo/Views/UtilsView.vala"
	_g_free0 (css);
#line 69 "../demo/Views/UtilsView.vala"
	_g_object_unref0 (provider);
#line 175 "UtilsView.c"
}

UtilsView*
utils_view_construct (GType object_type)
{
	UtilsView * self = NULL;
#line 6 "../demo/Views/UtilsView.vala"
	self = (UtilsView*) g_object_new (object_type, NULL);
#line 6 "../demo/Views/UtilsView.vala"
	return self;
#line 186 "UtilsView.c"
}

UtilsView*
utils_view_new (void)
{
#line 6 "../demo/Views/UtilsView.vala"
	return utils_view_construct (TYPE_UTILS_VIEW);
#line 194 "UtilsView.c"
}

static Block10Data*
block10_data_ref (Block10Data* _data10_)
{
#line 18 "../demo/Views/UtilsView.vala"
	g_atomic_int_inc (&_data10_->_ref_count_);
#line 18 "../demo/Views/UtilsView.vala"
	return _data10_;
#line 204 "UtilsView.c"
}

static void
block10_data_unref (void * _userdata_)
{
	Block10Data* _data10_;
	_data10_ = (Block10Data*) _userdata_;
#line 18 "../demo/Views/UtilsView.vala"
	if (g_atomic_int_dec_and_test (&_data10_->_ref_count_)) {
#line 214 "UtilsView.c"
		UtilsView* self;
#line 18 "../demo/Views/UtilsView.vala"
		self = _data10_->self;
#line 18 "../demo/Views/UtilsView.vala"
		_g_object_unref0 (self);
#line 18 "../demo/Views/UtilsView.vala"
		g_slice_free (Block10Data, _data10_);
#line 222 "UtilsView.c"
	}
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 36 "../demo/Views/UtilsView.vala"
	return self ? g_object_ref (self) : NULL;
#line 231 "UtilsView.c"
}

static Block11Data*
block11_data_ref (Block11Data* _data11_)
{
#line 54 "../demo/Views/UtilsView.vala"
	g_atomic_int_inc (&_data11_->_ref_count_);
#line 54 "../demo/Views/UtilsView.vala"
	return _data11_;
#line 241 "UtilsView.c"
}

static void
block11_data_unref (void * _userdata_)
{
	Block11Data* _data11_;
	_data11_ = (Block11Data*) _userdata_;
#line 54 "../demo/Views/UtilsView.vala"
	if (g_atomic_int_dec_and_test (&_data11_->_ref_count_)) {
#line 251 "UtilsView.c"
		UtilsView* self;
#line 54 "../demo/Views/UtilsView.vala"
		self = _data11_->_data10_->self;
#line 54 "../demo/Views/UtilsView.vala"
		_g_object_unref0 (_data11_->dialog);
#line 54 "../demo/Views/UtilsView.vala"
		block10_data_unref (_data11_->_data10_);
#line 54 "../demo/Views/UtilsView.vala"
		_data11_->_data10_ = NULL;
#line 54 "../demo/Views/UtilsView.vala"
		g_slice_free (Block11Data, _data11_);
#line 263 "UtilsView.c"
	}
}

static void
__lambda15_ (Block11Data* _data11_)
{
	Block10Data* _data10_;
	UtilsView* self;
	GtkColorChooserDialog* _tmp0_;
	GdkRGBA _tmp1_ = {0};
	GdkRGBA _tmp2_;
	GdkRGBA _tmp3_;
	GtkColorChooserDialog* _tmp4_;
#line 59 "../demo/Views/UtilsView.vala"
	_data10_ = _data11_->_data10_;
#line 59 "../demo/Views/UtilsView.vala"
	self = _data10_->self;
#line 60 "../demo/Views/UtilsView.vala"
	_tmp0_ = _data11_->dialog;
#line 60 "../demo/Views/UtilsView.vala"
	gtk_color_chooser_get_rgba ((GtkColorChooser*) _tmp0_, &_tmp1_);
#line 60 "../demo/Views/UtilsView.vala"
	_tmp2_ = _tmp1_;
#line 60 "../demo/Views/UtilsView.vala"
	_data10_->gdk_demo_bg = _tmp2_;
#line 61 "../demo/Views/UtilsView.vala"
	_tmp3_ = _data10_->gdk_demo_bg;
#line 61 "../demo/Views/UtilsView.vala"
	utils_view_style_contrast_demo (self, &_tmp3_);
#line 62 "../demo/Views/UtilsView.vala"
	_tmp4_ = _data11_->dialog;
#line 62 "../demo/Views/UtilsView.vala"
	gtk_window_destroy ((GtkWindow*) _tmp4_);
#line 297 "UtilsView.c"
}

static void
___lambda15__gtk_dialog_response (GtkDialog* _sender,
                                  gint response_id,
                                  gpointer self)
{
#line 59 "../demo/Views/UtilsView.vala"
	__lambda15_ (self);
#line 307 "UtilsView.c"
}

static void
_utils_view___lambda14_ (Block10Data* _data10_)
{
	UtilsView* self;
	Block11Data* _data11_;
	GtkColorChooserDialog* _tmp0_;
	GtkColorChooserDialog* _tmp1_;
	GtkColorChooserDialog* _tmp2_;
	GdkRGBA _tmp3_;
	GtkColorChooserDialog* _tmp4_;
	GtkColorChooserDialog* _tmp5_;
#line 54 "../demo/Views/UtilsView.vala"
	self = _data10_->self;
#line 54 "../demo/Views/UtilsView.vala"
	_data11_ = g_slice_new0 (Block11Data);
#line 54 "../demo/Views/UtilsView.vala"
	_data11_->_ref_count_ = 1;
#line 54 "../demo/Views/UtilsView.vala"
	_data11_->_data10_ = block10_data_ref (_data10_);
#line 55 "../demo/Views/UtilsView.vala"
	_tmp0_ = (GtkColorChooserDialog*) gtk_color_chooser_dialog_new ("", NULL);
#line 55 "../demo/Views/UtilsView.vala"
	g_object_ref_sink (_tmp0_);
#line 55 "../demo/Views/UtilsView.vala"
	_data11_->dialog = _tmp0_;
#line 56 "../demo/Views/UtilsView.vala"
	_tmp1_ = _data11_->dialog;
#line 56 "../demo/Views/UtilsView.vala"
	gtk_window_set_deletable ((GtkWindow*) _tmp1_, FALSE);
#line 57 "../demo/Views/UtilsView.vala"
	_tmp2_ = _data11_->dialog;
#line 57 "../demo/Views/UtilsView.vala"
	_tmp3_ = _data10_->gdk_demo_bg;
#line 57 "../demo/Views/UtilsView.vala"
	gtk_color_chooser_set_rgba ((GtkColorChooser*) _tmp2_, &_tmp3_);
#line 59 "../demo/Views/UtilsView.vala"
	_tmp4_ = _data11_->dialog;
#line 59 "../demo/Views/UtilsView.vala"
	g_signal_connect_data ((GtkDialog*) _tmp4_, "response", (GCallback) ___lambda15__gtk_dialog_response, block11_data_ref (_data11_), (GClosureNotify) block11_data_unref, 0);
#line 65 "../demo/Views/UtilsView.vala"
	_tmp5_ = _data11_->dialog;
#line 65 "../demo/Views/UtilsView.vala"
	gtk_widget_show ((GtkWidget*) _tmp5_);
#line 54 "../demo/Views/UtilsView.vala"
	block11_data_unref (_data11_);
#line 54 "../demo/Views/UtilsView.vala"
	_data11_ = NULL;
#line 357 "UtilsView.c"
}

static void
__utils_view___lambda14__gtk_button_clicked (GtkButton* _sender,
                                             gpointer self)
{
#line 54 "../demo/Views/UtilsView.vala"
	_utils_view___lambda14_ (self);
#line 366 "UtilsView.c"
}

static GObject *
utils_view_constructor (GType type,
                        guint n_construct_properties,
                        GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	UtilsView * self;
	Block10Data* _data10_;
	GtkLabel* tooltip_markup_label = NULL;
	GtkLabel* _tmp0_;
	GtkLabel* _tmp1_;
	GtkButton* tooltip_button_one = NULL;
	GtkButton* _tmp2_;
	GtkButton* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
	gchar** _tmp6_;
	gchar** _tmp7_;
	gint _tmp7__length1;
	gchar* _tmp8_;
	gchar* _tmp9_;
	GtkButton* tooltip_button_two = NULL;
	GtkButton* _tmp10_;
	GtkButton* _tmp11_;
	gchar* _tmp12_;
	gchar* _tmp13_;
	gchar* _tmp14_;
	gchar* _tmp15_;
	gchar** _tmp16_;
	gchar** _tmp17_;
	gint _tmp17__length1;
	gchar* _tmp18_;
	gchar* _tmp19_;
	GtkLabel* contrasting_foreground_color_label = NULL;
	GtkLabel* _tmp20_;
	GtkLabel* _tmp21_;
	GtkButton* contrast_demo_button = NULL;
	GtkButton* _tmp22_;
	GtkButton* _tmp23_;
	GtkButton* _tmp24_;
	GtkStyleContext* _tmp25_;
	GtkStyleContext* _tmp26_;
	GtkStyleContext* _tmp27_;
	GtkLabel* _tmp28_;
	GtkButton* _tmp29_;
	GtkButton* _tmp30_;
	GtkLabel* _tmp31_;
	GtkButton* _tmp32_;
	GdkRGBA _tmp33_;
	GtkButton* _tmp34_;
#line 18 "../demo/Views/UtilsView.vala"
	parent_class = G_OBJECT_CLASS (utils_view_parent_class);
#line 18 "../demo/Views/UtilsView.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 18 "../demo/Views/UtilsView.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_UTILS_VIEW, UtilsView);
#line 18 "../demo/Views/UtilsView.vala"
	_data10_ = g_slice_new0 (Block10Data);
#line 18 "../demo/Views/UtilsView.vala"
	_data10_->_ref_count_ = 1;
#line 18 "../demo/Views/UtilsView.vala"
	_data10_->self = g_object_ref (self);
#line 19 "../demo/Views/UtilsView.vala"
	_tmp0_ = (GtkLabel*) gtk_label_new ("Markup Accel Tooltips:");
#line 19 "../demo/Views/UtilsView.vala"
	g_object_ref_sink (_tmp0_);
#line 19 "../demo/Views/UtilsView.vala"
	tooltip_markup_label = _tmp0_;
#line 20 "../demo/Views/UtilsView.vala"
	_tmp1_ = tooltip_markup_label;
#line 20 "../demo/Views/UtilsView.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp1_, GTK_ALIGN_END);
#line 22 "../demo/Views/UtilsView.vala"
	_tmp2_ = (GtkButton*) gtk_button_new_from_icon_name ("mail-reply-all");
#line 22 "../demo/Views/UtilsView.vala"
	g_object_ref_sink (_tmp2_);
#line 22 "../demo/Views/UtilsView.vala"
	tooltip_button_one = _tmp2_;
#line 23 "../demo/Views/UtilsView.vala"
	_tmp3_ = tooltip_button_one;
#line 23 "../demo/Views/UtilsView.vala"
	_tmp4_ = g_strdup ("<Ctrl><Shift>R");
#line 23 "../demo/Views/UtilsView.vala"
	_tmp5_ = g_strdup ("R");
#line 23 "../demo/Views/UtilsView.vala"
	_tmp6_ = g_new0 (gchar*, 2 + 1);
#line 23 "../demo/Views/UtilsView.vala"
	_tmp6_[0] = _tmp4_;
#line 23 "../demo/Views/UtilsView.vala"
	_tmp6_[1] = _tmp5_;
#line 23 "../demo/Views/UtilsView.vala"
	_tmp7_ = _tmp6_;
#line 23 "../demo/Views/UtilsView.vala"
	_tmp7__length1 = 2;
#line 23 "../demo/Views/UtilsView.vala"
	_tmp8_ = granite_markup_accel_tooltip (_tmp7_, (gint) 2, "Reply All");
#line 23 "../demo/Views/UtilsView.vala"
	_tmp9_ = _tmp8_;
#line 23 "../demo/Views/UtilsView.vala"
	gtk_widget_set_tooltip_markup ((GtkWidget*) _tmp3_, _tmp9_);
#line 23 "../demo/Views/UtilsView.vala"
	_g_free0 (_tmp9_);
#line 23 "../demo/Views/UtilsView.vala"
	_tmp7_ = (_vala_array_free (_tmp7_, _tmp7__length1, (GDestroyNotify) g_free), NULL);
#line 25 "../demo/Views/UtilsView.vala"
	_tmp10_ = (GtkButton*) gtk_button_new_with_label ("Label Buttons");
#line 25 "../demo/Views/UtilsView.vala"
	g_object_ref_sink (_tmp10_);
#line 25 "../demo/Views/UtilsView.vala"
	tooltip_button_two = _tmp10_;
#line 26 "../demo/Views/UtilsView.vala"
	_tmp11_ = tooltip_button_two;
#line 26 "../demo/Views/UtilsView.vala"
	_tmp12_ = g_strdup ("<Super>R");
#line 26 "../demo/Views/UtilsView.vala"
	_tmp13_ = g_strdup ("<Ctrl><Shift>Up");
#line 26 "../demo/Views/UtilsView.vala"
	_tmp14_ = g_strdup ("<Ctrl>Return");
#line 26 "../demo/Views/UtilsView.vala"
	_tmp15_ = g_strdup ("<Super>");
#line 26 "../demo/Views/UtilsView.vala"
	_tmp16_ = g_new0 (gchar*, 4 + 1);
#line 26 "../demo/Views/UtilsView.vala"
	_tmp16_[0] = _tmp12_;
#line 26 "../demo/Views/UtilsView.vala"
	_tmp16_[1] = _tmp13_;
#line 26 "../demo/Views/UtilsView.vala"
	_tmp16_[2] = _tmp14_;
#line 26 "../demo/Views/UtilsView.vala"
	_tmp16_[3] = _tmp15_;
#line 26 "../demo/Views/UtilsView.vala"
	_tmp17_ = _tmp16_;
#line 26 "../demo/Views/UtilsView.vala"
	_tmp17__length1 = 4;
#line 26 "../demo/Views/UtilsView.vala"
	_tmp18_ = granite_markup_accel_tooltip (_tmp17_, (gint) 4, NULL);
#line 26 "../demo/Views/UtilsView.vala"
	_tmp19_ = _tmp18_;
#line 26 "../demo/Views/UtilsView.vala"
	gtk_widget_set_tooltip_markup ((GtkWidget*) _tmp11_, _tmp19_);
#line 26 "../demo/Views/UtilsView.vala"
	_g_free0 (_tmp19_);
#line 26 "../demo/Views/UtilsView.vala"
	_tmp17_ = (_vala_array_free (_tmp17_, _tmp17__length1, (GDestroyNotify) g_free), NULL);
#line 30 "../demo/Views/UtilsView.vala"
	_tmp20_ = (GtkLabel*) gtk_label_new ("Contrasting Foreground Color:");
#line 30 "../demo/Views/UtilsView.vala"
	g_object_ref_sink (_tmp20_);
#line 30 "../demo/Views/UtilsView.vala"
	contrasting_foreground_color_label = _tmp20_;
#line 31 "../demo/Views/UtilsView.vala"
	_tmp21_ = contrasting_foreground_color_label;
#line 31 "../demo/Views/UtilsView.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp21_, GTK_ALIGN_END);
#line 33 "../demo/Views/UtilsView.vala"
	_tmp22_ = (GtkButton*) gtk_button_new ();
#line 33 "../demo/Views/UtilsView.vala"
	g_object_ref_sink (_tmp22_);
#line 33 "../demo/Views/UtilsView.vala"
	contrast_demo_button = _tmp22_;
#line 34 "../demo/Views/UtilsView.vala"
	_tmp23_ = contrast_demo_button;
#line 34 "../demo/Views/UtilsView.vala"
	gtk_button_set_label (_tmp23_, "Contrast Demo");
#line 36 "../demo/Views/UtilsView.vala"
	_tmp24_ = contrast_demo_button;
#line 36 "../demo/Views/UtilsView.vala"
	_tmp25_ = gtk_widget_get_style_context ((GtkWidget*) _tmp24_);
#line 36 "../demo/Views/UtilsView.vala"
	_tmp26_ = _g_object_ref0 (_tmp25_);
#line 36 "../demo/Views/UtilsView.vala"
	_g_object_unref0 (self->priv->demo_label_style_context);
#line 36 "../demo/Views/UtilsView.vala"
	self->priv->demo_label_style_context = _tmp26_;
#line 37 "../demo/Views/UtilsView.vala"
	_tmp27_ = self->priv->demo_label_style_context;
#line 37 "../demo/Views/UtilsView.vala"
	gtk_style_context_add_class (_tmp27_, "contrast-demo");
#line 39 "../demo/Views/UtilsView.vala"
	gtk_widget_set_valign ((GtkWidget*) self, GTK_ALIGN_CENTER);
#line 39 "../demo/Views/UtilsView.vala"
	gtk_widget_set_halign ((GtkWidget*) self, GTK_ALIGN_CENTER);
#line 40 "../demo/Views/UtilsView.vala"
	gtk_grid_set_column_spacing ((GtkGrid*) self, 12);
#line 41 "../demo/Views/UtilsView.vala"
	gtk_grid_set_row_spacing ((GtkGrid*) self, 12);
#line 43 "../demo/Views/UtilsView.vala"
	_tmp28_ = tooltip_markup_label;
#line 43 "../demo/Views/UtilsView.vala"
	gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp28_, 0, 0, 1, 1);
#line 44 "../demo/Views/UtilsView.vala"
	_tmp29_ = tooltip_button_one;
#line 44 "../demo/Views/UtilsView.vala"
	gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp29_, 1, 0, 1, 1);
#line 45 "../demo/Views/UtilsView.vala"
	_tmp30_ = tooltip_button_two;
#line 45 "../demo/Views/UtilsView.vala"
	gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp30_, 2, 0, 1, 1);
#line 46 "../demo/Views/UtilsView.vala"
	_tmp31_ = contrasting_foreground_color_label;
#line 46 "../demo/Views/UtilsView.vala"
	gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp31_, 0, 1, 1, 1);
#line 47 "../demo/Views/UtilsView.vala"
	_tmp32_ = contrast_demo_button;
#line 47 "../demo/Views/UtilsView.vala"
	gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp32_, 1, 1, 2, 1);
#line 49 "../demo/Views/UtilsView.vala"
	memset (&_data10_->gdk_demo_bg, 0, sizeof (GdkRGBA));
#line 50 "../demo/Views/UtilsView.vala"
	gdk_rgba_parse (&_data10_->gdk_demo_bg, UTILS_VIEW_DARK_BG);
#line 52 "../demo/Views/UtilsView.vala"
	_tmp33_ = _data10_->gdk_demo_bg;
#line 52 "../demo/Views/UtilsView.vala"
	utils_view_style_contrast_demo (self, &_tmp33_);
#line 54 "../demo/Views/UtilsView.vala"
	_tmp34_ = contrast_demo_button;
#line 54 "../demo/Views/UtilsView.vala"
	g_signal_connect_data (_tmp34_, "clicked", (GCallback) __utils_view___lambda14__gtk_button_clicked, block10_data_ref (_data10_), (GClosureNotify) block10_data_unref, 0);
#line 18 "../demo/Views/UtilsView.vala"
	_g_object_unref0 (contrast_demo_button);
#line 18 "../demo/Views/UtilsView.vala"
	_g_object_unref0 (contrasting_foreground_color_label);
#line 18 "../demo/Views/UtilsView.vala"
	_g_object_unref0 (tooltip_button_two);
#line 18 "../demo/Views/UtilsView.vala"
	_g_object_unref0 (tooltip_button_one);
#line 18 "../demo/Views/UtilsView.vala"
	_g_object_unref0 (tooltip_markup_label);
#line 18 "../demo/Views/UtilsView.vala"
	block10_data_unref (_data10_);
#line 18 "../demo/Views/UtilsView.vala"
	_data10_ = NULL;
#line 18 "../demo/Views/UtilsView.vala"
	return obj;
#line 604 "UtilsView.c"
}

static void
utils_view_class_init (UtilsViewClass * klass,
                       gpointer klass_data)
{
#line 6 "../demo/Views/UtilsView.vala"
	utils_view_parent_class = g_type_class_peek_parent (klass);
#line 6 "../demo/Views/UtilsView.vala"
	g_type_class_adjust_private_offset (klass, &UtilsView_private_offset);
#line 6 "../demo/Views/UtilsView.vala"
	G_OBJECT_CLASS (klass)->constructor = utils_view_constructor;
#line 6 "../demo/Views/UtilsView.vala"
	G_OBJECT_CLASS (klass)->finalize = utils_view_finalize;
#line 619 "UtilsView.c"
}

static void
utils_view_instance_init (UtilsView * self,
                          gpointer klass)
{
#line 6 "../demo/Views/UtilsView.vala"
	self->priv = utils_view_get_instance_private (self);
#line 628 "UtilsView.c"
}

static void
utils_view_finalize (GObject * obj)
{
	UtilsView * self;
#line 6 "../demo/Views/UtilsView.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_UTILS_VIEW, UtilsView);
#line 16 "../demo/Views/UtilsView.vala"
	_g_object_unref0 (self->priv->demo_label_style_context);
#line 6 "../demo/Views/UtilsView.vala"
	G_OBJECT_CLASS (utils_view_parent_class)->finalize (obj);
#line 641 "UtilsView.c"
}

static GType
utils_view_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (UtilsViewClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) utils_view_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (UtilsView), 0, (GInstanceInitFunc) utils_view_instance_init, NULL };
	GType utils_view_type_id;
	utils_view_type_id = g_type_register_static (gtk_grid_get_type (), "UtilsView", &g_define_type_info, 0);
	UtilsView_private_offset = g_type_add_instance_private (utils_view_type_id, sizeof (UtilsViewPrivate));
	return utils_view_type_id;
}

GType
utils_view_get_type (void)
{
	static volatile gsize utils_view_type_id__once = 0;
	if (g_once_init_enter (&utils_view_type_id__once)) {
		GType utils_view_type_id;
		utils_view_type_id = utils_view_get_type_once ();
		g_once_init_leave (&utils_view_type_id__once, utils_view_type_id);
	}
	return utils_view_type_id__once;
}

static void
_vala_array_destroy (gpointer array,
                     gssize array_length,
                     GDestroyNotify destroy_func)
{
	if ((array != NULL) && (destroy_func != NULL)) {
		gssize i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}

static void
_vala_array_free (gpointer array,
                  gssize array_length,
                  GDestroyNotify destroy_func)
{
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}

